petsc-3.4.2 2013-07-02

# PetscViewerAMSGetAMSComm

Gets the AMS communicator associated with the PetscViewer.

### Synopsis

    PetscErrorCode PetscViewerAMSGetAMSComm(PetscViewer v,AMS_Comm *ams_comm)

Collective on MPI_Comm

### Input Parameters

lab -the PetscViewer

### Output Parameter

ams_comm -the AMS communicator

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerDestroy(), PetscViewerAMSOpen(), PETSC_VIEWER_AMS_, PETSC_VIEWER_AMS_WORLD, PETSC_VIEWER_AMS_SELF

Level:developer
Location:src/sys/classes/viewer/impls/ams/ams.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages